Subject: Re: bug#54175: 27.2; Info-follow-reference completions in reverse order

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Feb 2022 19:31:07 +0200

> From: Howard Melman <[email-masked]>
> Date: Sun, 27 Feb 2022 12:18:49 -0500
> 
> >> I believe I explained this.  It is the order they are found in the node. It means 
> >> the offered candidates appear to me in the order I see them in the
> >> node.
> > 
> > But if your position is near the end of the buffer, the first
> > cross-reference in the node will also be the one that's the farthest.
> > I'm not sure I understand the utility of such an order.
> 
> It doesn't help in all cases.  If you're positioned near the end of the node
> then you might be positioned near the reference and get it as the default.
> But when visiting a node you start at the top, and many nodes fit entirely
> on one screen, so it's a more common case that it will help (again for a
> imperceptible cost).  It's certainly a more intuitive order than what is returned
> now.

I don't think I agree.  I could understand if the request was to order
them starting from the current position, or to sort them by their
distance from the current position, but starting from the node
beginning sounds as arbitrary as starting from the end.

In any case, instead of sorting or reversing, an alternative could be
to collect the cross-reference in the desired order to begin with, to
avoid the cost of sorting/reversing.

And finally, Info-follow-reference is called by other functions, so we
should make sure we don't break them by changing the order.